#
# spec file for package yast2-geo-cluster
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           yast2-geo-cluster
Version:        5.0.0
Release:        1.5
Summary:        Configuration of booth
License:        GPL-2.0-only
Group:          System/YaST
URL:            https://github.com/yast/yast-geo-cluster
Source0:        %{name}-%{version}.tar.bz2
BuildRequires:  update-desktop-files
BuildRequires:  yast2
BuildRequires:  yast2-devtools >= 4.2.2
# SuSEFirewall2 replaced by Firewalld(fate#323460)
Requires:       autoyast2-installation
Requires:       yast2 >= 4.0.39
Requires:       yast2-ruby-bindings >= 1.0.0
Supplements:    autoyast(geo-cluster)
BuildArch:      noarch

%description
-

%prep
%setup -q

%build
%yast_build

%install
%yast_install
%yast_metainfo

%files
%license COPYING
%{yast_yncludedir}
%{yast_moduledir}
%{yast_desktopdir}
%{yast_scrconfdir}
%{yast_agentdir}
%{yast_schemadir}
%{yast_clientdir}
%{yast_metainfodir}
%{yast_icondir}

%changelog
* Wed Aug 30 2023 Josef Reidinger <jreidinger@suse.cz>
- 5.0.0 (bsc#1185510)
* Fri Mar  3 2023 Ladislav Slezák <lslezak@suse.cz>
- Bump version to 4.6.0 (bsc#1208913)
* Wed Apr  6 2022 Ladislav Slezák <lslezak@suse.cz>
- Bump version to 4.5.0 (bsc#1198109)
* Tue Apr 20 2021 Dirk Müller <dmueller@suse.com>
- stop packaging docdir, it only contained the license which
  is now in licensedir (bsc#1184897)
- spec file cleanups
- 4.4.1
* Tue Apr 20 2021 Ladislav Slezák <lslezak@suse.cz>
- 4.4.0
* Tue Aug 11 2020 schubi@suse.de
- AutoYaST: Added supplements: autoyast(geo-cluster) into the spec file
  in order to install this packages if the section has been defined
  in the AY configuration file (bsc#1146494).
- 4.3.2
* Wed May 27 2020 Martin Vidner <mvidner@suse.com>
- Autoyast schema: Fix for inclusion in yast2-schema (bsc#1170886)
- 4.3.1
* Thu May  7 2020 Josef Reidinger <jreidinger@suse.com>
- Autoyast schema: Allow optional types for string and map objects
  (bsc#1170886)
- 4.3.0
* Fri May 31 2019 Stasiek Michalski <hellcp@mailbox.org>
- Add metainfo (fate#319035)
- Revamp spec
- Replace GenericName with Comment
- 4.2.1
* Thu Apr  4 2019 Ladislav Slezák <lslezak@suse.cz>
- Removed unused BuildRequires (bsc#1131234)
- 4.2.0
* Sun Nov 25 2018 Stasiek Michalski <hellcp@mailbox.org>
- Provide icon with module (boo#1109310)
- 4.1.0
* Tue Oct 16 2018 schubi@suse.de
- Added license file to spec.
* Mon Aug 20 2018 schubi@suse.de
- Switched license in spec file from SPDX2 to SPDX3 format.
* Thu Jun 28 2018 schubi@suse.de
- Added additional searchkeys to desktop file (fate#321043).
- Version 4.0.4
* Fri Jan 26 2018 nwang@suse.com
- SuSEFirewall2 replaced by firewalld(fate#323460)
- Version 4.0.3
* Fri Dec  1 2017 nwang@suse.com
- fate#323526, support python3.
- Version 4.0.2
* Thu Sep 28 2017 nwang@suse.com
- fate#323960, support manual tickets mode.
- Version 4.0.1
* Thu Sep 14 2017 nwang@suse.com
- fate#323863. support autoyast.
- Version 4.0.0
* Wed Mar  1 2017 nwang@suse.com
- bsc#1027405. Move the firewall rule file to booth.
- Version 3.2.0
* Mon Jun  6 2016 igonzalezsosa@suse.com
- Stop generating autodocs (fate#320356)
- Version 3.1.14
* Mon May 30 2016 nwang@suse.com
- bsc#982166. Disable "Edit" and "Del" buttons when no conf.
- Version 3.1.13
* Thu Feb 18 2016 nwang@suse.com
- bsc#967024. Correct the popup message.
- Version 3.1.12
* Mon Nov  2 2015 nwang@suse.com
- BNC#952225. Polish the doc for Authentication Configuration.
- Version 3.1.11
* Thu Aug 13 2015 nwang@suse.com
- Fate#319318. Support authentification.
- Version 3.1.10
* Mon Mar  2 2015 nwang@suse.com
- BNC#920132. Create "/etc/booth/" before save conf file.
* Thu Dec  4 2014 jreidinger@suse.com
- remove X-KDE-Library from desktop file (bnc#899104)
* Fri Aug 22 2014 nwang@suse.com
- BNC#892900. Adjust English Software Strings of window's title.
- Version 3.1.7
* Thu Jul 10 2014 nwang@suse.com
- BNC#886541. Modify the non standard English message ID.
- Version 3.1.6
* Tue Jul  8 2014 nwang@suse.com
- BNC#885955. Support multiple arbitrators in one conf.
- Version 3.1.5
* Thu Jun 26 2014 nwang@suse.com
- BNC#882820 & BNC#882788. Support multiple confs configure in
  one node. Create a new SCR agent to make new SLE12 configuration
  file format compatible.
- Version 3.1.4
* Tue Jun 10 2014 nwang@suse.com
- BNC#881219. Add firewall service file.
- Version 3.1.3
* Tue May 27 2014 nwang@suse.com
- Using same spec file of ibs and obs.
- Version 3.1.2
* Fri May  9 2014 nwang@suse.com
- BNC#875677. Modify desktop file. Change name from CamelCasing to
  two separate words.
* Thu Dec  5 2013 dmzhang@suse.com
- initial version
